{
  "name": "tictactoe-february-2021",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@loadable/component": "^5.14.1",
    "@material-ui/core": "^4.11.3",
    "@material-ui/icons": "^4.11.2",
    "@testing-library/jest-dom": "^5.11.9",
    "@testing-library/react": "^11.2.5",
    "@testing-library/user-event": "^12.6.3",
    "axios": "^0.21.1",
    "crypto": "^1.0.1",
    "ducks": "^0.10.2",
    "final-form": "^4.20.1",
    "mui-rff": "^3.0.3",
    "prettier": "^2.2.1",
    "ramda": "^0.27.1",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-final-form": "^6.5.2",
    "react-redux": "^7.2.2",
    "react-router-dom": "^5.2.0",
    "react-scripts": "4.0.1",
    "react-svg-piechart": "^2.4.2",
    "redux": "^4.0.5",
    "redux-devtools-extension": "^2.13.8",
    "redux-logger": "^3.0.6",
    "redux-thunk": "^2.3.0",
    "reselect": "^4.0.0",
    "web-vitals": "^0.2.4"
  },
  "scripts": {
    "lint": "eslint src --color",
    "precommit": "lint-staged",
    "lint:eslint": "eslint --ignore-pattern '!.eslintrc.js' ",
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "NODE_ENV=test jest --detectOpenHandles --runInBand --forceExit  src/*",
    "eject": "react-scripts eject"
  },
  "lint-staged": {
    "src/**/*.{js,css}": [
      "prettier --write",
      "git add",
      "yarn lint:eslint"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/core": "^7.0.0-0",
    "@babel/preset-env": "^7.12.13",
    "@babel/preset-react": "^7.12.13",
    "@testing-library/dom": "^7.29.4",
    "@testing-library/react-hooks": "^5.0.3",
    "eslint-config-prettier": "^7.2.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-react": "^7.22.0",
    "husky": "^4.3.8",
    "lint-staged": "^10.5.3"
  },
  "babel": {
    "presets": [
      "@babel/preset-env",
      "@babel/preset-react"
    ]
  }
}
